function x = brisk(boxImage, sceneImage)

size = 500;
boxImage = imresize(boxImage, [size size]);
sceneImage = imresize(sceneImage, [size size]);
boxImage = boxImage(:,:,2);
sceneImage = sceneImage(:,:,2);

boxPoints = detectBRISKFeatures(boxImage);
scenePoints = detectBRISKFeatures(sceneImage);

[boxFeatures, ~] = extractFeatures(boxImage, boxPoints);
[sceneFeatures, ~] = extractFeatures(sceneImage, scenePoints);

boxPairs = matchFeatures(boxFeatures, sceneFeatures);
x = length(boxPairs);